summaryrefslogtreecommitdiffstats
path: root/system/fglrx-module/fglrx-module.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/fglrx-module/fglrx-module.SlackBuild')
-rw-r--r--system/fglrx-module/fglrx-module.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/system/fglrx-module/fglrx-module.SlackBuild b/system/fglrx-module/fglrx-module.SlackBuild
new file mode 100644
index 0000000000..664ac408ff
--- /dev/null
+++ b/system/fglrx-module/fglrx-module.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for fglrx-module
+
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This script is just a binary repackaging.
+
+PRGNAM=fglrx-module
+VERSION=8.512
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# This doesn't seem to be tunable, but patches are welcome
+KERNEL=${KERNEL:-$(uname -r)}
+
+# Leave this one alone
+PKG_VERSION=${VERSION}_$(echo $KERNEL | tr - _)
+
+SRCNAM=ati-driver-installer-8-7-x86.x86_64.run
+ATI_PKG=fglrx-module-$VERSION-x86-1_kernel_$(echo $KERNEL | tr - _).tgz
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+sh $CWD/$SRCNAM --buildpkg Slackware/Only_Module || exit 1
+explodepkg $PKG/$ATI_PKG
+rm $PKG/$ATI_PKG
+chown -R root:root .
+
+# Move the module into a corect place
+mkdir -p $PKG/lib/modules/$KERNEL/kernel/drivers/video
+mv $PKG/lib/modules/$KERNEL/external/fglrx.ko.gz \
+ $PKG/lib/modules/$KERNEL/kernel/drivers/video/fglrx.ko.gz
+rmdir $PKG/lib/modules/$KERNEL/external
+
+# Uncompress the module
+gzip -d $PKG/lib/modules/$KERNEL/kernel/drivers/video/fglrx.ko.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$PKG_VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$PKG_VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz